javax.swing.plaf.basic

## Class BasicBorders.MarginBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.MarginBorder

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    BasicBorders

      public static class BasicBorders.MarginBorder
      extends AbstractBorder
      implements UIResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicBorders.MarginBorder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c, Insets insets)` Reinitializes the insets parameter with this Border's current Insets.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicBorders.MarginBorder

          public BasicBorders.MarginBorder()

  - ### Method Detail

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                               Insets insets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.